SystemOrganization addCategory: #'Neo-JSON-VAST-Core'!

!KeyedCollection methodsFor: '*Neo-JSON-VAST-Core' stamp: 'MarianoMartinezPeck 1/30/2018 09:42'!
neoJsonOn: neoJSONWriter
	neoJSONWriter writeMap: self! !

!Symbol methodsFor: '*Neo-JSON-VAST-Core' stamp: 'marianopeck 1/31/2018 09:13'!
asMutator
	"Return a setter message from a getter message. For example,
	#name asMutator returns #name:
	return self if it is already a setter"
	(self size > 0 and: [self last == $:]) ifTrue:[ ^ self ].
	^ (self copyWith: $:) asSymbol! !

!NeoJSONReader class methodsFor: '*Neo-JSON-VAST-Core' stamp: 'MarianoMartinezPeck 1/30/2018 10:07'!
new
	^super new initialize! !

!NeoJSONStreamingWriter class methodsFor: '*Neo-JSON-VAST-Core' stamp: 'MarianoMartinezPeck 1/30/2018 10:08'!
new
	^super new initialize! !

!NeoJSONObjectMapping class methodsFor: '*Neo-JSON-VAST-Core' stamp: 'MarianoMartinezPeck 1/30/2018 10:06'!
new
	^super new initialize! !

!NeoJSONWriter class methodsFor: '*Neo-JSON-VAST-Core' stamp: 'MarianoMartinezPeck 1/30/2018 10:08'!
new
	^super new initialize! !

!Collection methodsFor: '*Neo-JSON-VAST-Core' stamp: 'marianopeck 1/31/2018 09:14'!
removeAllSuchThat: aBlock 
	^self removeAll: (self select: aBlock)! !

!WriteStream methodsFor: '*Neo-JSON-VAST-Core' stamp: 'marianopeck 1/31/2018 09:37'!
<< anObject
	"A more readable, shorter alternative to #nextPutAll: that also
	accepts non-Collection arguments"

	anObject class == collection class
		ifTrue: [ self nextPutAll: anObject ]
		ifFalse: [ anObject putOn: self ]! !
